Search Discovery
Tags Search Discovery
Search for content discovery tags using a query string.
Search and discover tags using a query string. This endpoint is optimized for real-time autocomplete and returns relevant tags based on partial input.
https://v1.apifansly.com
GET
/api/fansly/{accountId}/discover/search/tags
Get Started
All requests to the Fansly API require an API Key. See the Authentication page for details.
Request Details
curl -X GET "https://v1.apifansly.com/api/fansly/{accountId}/discover/search/tags?query=cute&limit=10&offset=0" \
-H "x-api-key: YOUR_API_KEY"fetch("https://v1.apifansly.com/api/fansly/{accountId}/discover/search/tags?query=cute&limit=10&offset=0", {
method: "GET",
headers: {
"x-api-key": "YOUR_API_KEY"
}
})
.then(response => response.json())
.then(data => console.log(data));import requests
url = "https://v1.apifansly.com/api/fansly/{accountId}/discover/search/tags"
params = {
"query": "cute",
"limit": 10,
"offset": 0
}
headers = {
"x-api-key": "YOUR_API_KEY"
}
response = requests.get(url, headers=headers, params=params)
print(response.json())import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
HttpClient client = HttpClient.newHttpClient();
HttpRequest request = HttpRequest.newBuilder()
.uri(URI.create("https://v1.apifansly.com/api/fansly/{accountId}/discover/search/tags?query=cute&limit=10&offset=0"))
.header("x-api-key", "YOUR_API_KEY")
.GET()
.build();
client.sendAsync(request, HttpResponse.BodyHandlers.ofString())
.thenApply(HttpResponse::body)
.thenAccept(System.out::println)
.join();using System.Net.Http;
using System.Threading.Tasks;
var client = new HttpClient();
client.DefaultRequestHeaders.Add("x-api-key", "YOUR_API_KEY");
var response = await client.GetAsync("https://v1.apifansly.com/api/fansly/{accountId}/discover/search/tags?query=cute&limit=10&offset=0");
var responseString = await response.Content.ReadAsStringAsync();
Console.WriteLine(responseString);package main
import (
"fmt"
"io/ioutil"
"net/http"
)
func main() {
url := "https://v1.apifansly.com/api/fansly/{accountId}/discover/search/tags?query=cute&limit=10&offset=0"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Set("x-api-key", "YOUR_API_KEY")
client := &http.Client{}
resp, _ := client.Do(req)
defer resp.Body.Close()
body, _ := ioutil.ReadAll(resp.Body)
fmt.Println(string(body))
}Parameters
The query string dictates the search keywords. Optional offset and limits are available to paginate results.
accountId*
stringThe unique identifier for the connected account, retrieved from your Dashboard.
query*
stringThe search query keyword.
limit ?
numberThe maximum amount of records to return.
offset ?
numberThe starting position index, used for pagination.
Response
{
"statusCode": 200,
"message": "Success",
"data": {
"status_code": 200,
"data": {
"success": true,
"response": {
"searchResults": {
"mediaOfferSuggestionTags": [
{
"id": "unique_tag_identifier",
"tag": "sample_tag_name",
"label": null,
"description": "tag_description_string",
"viewCount": "number_of_views",
"postCount": "number_of_posts",
"flags": "integer_flag_value",
"createdAt": "timestamp_in_milliseconds",
"score": "relevance_score_float",
"metadata": {
"viewCount": "number_of_views",
"postCount": "number_of_posts"
}
}
]
}
}
}
},
"timestamp": "2026-04-09T16:32:40.027Z"
}